;
IOCS_TOP equ 0C000h  ;IOCS JnAhX
;
;IOCS entry address
;
;OS depend
enter_os	equ IOCS_TOP+00h ;enter os (initialize)
ret_os		equ IOCS_TOP+03h ;return os
;key interface
inkey1		equ IOCS_TOP+06h ;INKEY$(1) : in none : out Areg = key code
;screen interface
text_init	equ IOCS_TOP+09h ;TEXT system initialize
text_puta	equ IOCS_TOP+0ch ;TEXT print char   : in Areg  = code : out Areg = X
text_puts	equ IOCS_TOP+0fh ;TEXT print string : in DEreg = pstring[0=end]  : out DEreg = next ptr
text_sets	equ IOCS_TOP+12h ;TEXT set color    : in Areg  = attribute value
;
;value to ascii HEX conversion
hex1_asc	equ IOCS_TOP+15h   ;Areg0..3 [hl:1] hex 1char
hex2_asc	equ IOCS_TOP+18h   ;Areg to [hl:2] hex 2char
hex4_asc	equ IOCS_TOP+1bh   ;DEreg to [hl:4] hex 4char
;
;serial module
sio_reset_		equ IOCS_TOP+1eh ;SIO initialize & reset
sio_putc_		equ IOCS_TOP+21h ;SIO transmit Areg
sio_putct_		equ IOCS_TOP+24h ;SIO transmit Areg text mode (CR -> CR+LF)
sio_chkc_		equ IOCS_TOP+27h ;SIO check num of received data : out HL=received bytes
sio_getc_		equ IOCS_TOP+2ah ;SIO get Areg from receive buffer
sio_clearrx_	equ IOCS_TOP+2dh ;clear receive buffer
sio_flowon_		equ IOCS_TOP+30h ;receive stop  (RX FLOW = ON)
sio_flowauto_	equ IOCS_TOP+33h ;receive start (RX FLOW = AUTO)
sio_get_sts_	equ IOCS_TOP+36h ;SIO get status(RR0) to Areg
sio_get_stse_	equ IOCS_TOP+39h ;SIO get changed status to Areg (RR0 assign)
sio_set_stse_	equ IOCS_TOP+3ch ;SIO set Areg to changed status (clear changed status)
sio_get_err_	equ IOCS_TOP+3fh ;SIO get error status to Areg
sio_set_err_	equ IOCS_TOP+42h ;SIO set Areg to error status (clear error status)
;
